IRPCClientScript.GetScriptApplicationServerEnable

View as Markdown

Vault API / standard write session

Tells whether an application is enabled in the vault.

ServiceClient scripts and UI extension applications MFiles.IRPCClientScript
gRPC method/MFiles.IRPCClientScript/GetScriptApplicationServerEnable
HTTP (mf-http-grpc)POST /grpc/v1/get-script-application-server-enable
RequestGetScriptApplicationServerEnableRequest
ResponseGetScriptApplicationServerEnableResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetScriptApplicationServerEnableRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
script_applicationstringThe GUID of the application.

Response: GetScriptApplicationServerEnableResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
enabledboolTrue if the application is enabled.